/* SPDX-License-Identifier: MIT
 * Copyright (c) 2021 KikooDX
 * This file is part of
 * [Painfull Success CG](https://git.sr.ht/~kikoodx/painfull-success-cg),
 * which is MIT licensed. The MIT license requires this copyright notice to be
 * included in all copies and substantial portions of the software. */
#pragma once
#include "conf.h"
#include "lazyint.h"
#include "tiles.h"
#include "vec2.h"

typedef struct Level {
	tile_t content[LEVEL_WIDTH * LEVEL_HEIGHT];
	Vec2 start_pos;
	u8 keys;
} Level;

#include "player.h"

void level_load(Level *level, Player *player, u8 id);
void level_draw(Level level, i16 y_offset);
tile_t level_get_tile_at_px(Level level, Vec2 pos);
void level_set_tile_at_px(Level *level, Vec2 pos, tile_t tile);
